### Name: pool
### Title: Multiple Imputation Pooling
### Aliases: pool
### Keywords: htest

### ** Examples

# which vcov methods can R find
methods(vcov)

# 
imp <- mice(nhanes)
fit <- with(data=imp,exp=lm(bmi~hyp+chl))
pool(fit)

#Call: pool(object = fit)
#
#Pooled coefficients:
#(Intercept)         hyp         chl 
#  22.01313    -1.45578     0.03459 
#
#Fraction of information about the coefficients missing due to nonresponse: 
#(Intercept)         hyp         chl 
#    0.29571     0.05639     0.38759 
#> summary(pool(fit))
#                 est      se       t     df Pr(>|t|)    lo 95    hi 95 missing
#(Intercept) 22.01313 4.94086  4.4553 12.016 0.000783 11.24954 32.77673      NA
#hyp         -1.45578 2.26789 -0.6419 20.613 0.528006 -6.17752  3.26596       8
#chl          0.03459 0.02829  1.2228  9.347 0.251332 -0.02904  0.09822      10
#               fmi
#(Intercept) 0.29571
#hyp         0.05639
#chl         0.38759
# 



